com.independentsoft.exchange

## Enum RuleValidationErrorCode

- java.lang.Object
- - java.lang.Enum<RuleValidationErrorCode>
  - - com.independentsoft.exchange.RuleValidationErrorCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RuleValidationErrorCode>

      public enum RuleValidationErrorCode
      extends java.lang.Enum<RuleValidationErrorCode>

  Gets the validation error code.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AD_OPERATION_FAILURE` The Active Directory operation failed.
    `CONNECTED_ACCOUNT_NOT_FOUND` The specified e-mail account was not found.
    `CREATE_WITH_RULE_ID` An attempt was made to create a rule with an ID.
    `DUPLICATED_OPERATION_ON_THE_SAME_RULE` There are multiple operations against the same rule.
    `DUPLICATED_PRIORITY` There are multiple rules with the same priority.
    `EMPTY_VALUE_FOUND` The Value field is empty.
    `FOLDER_DOES_NOT_EXIST` The folder does not exist in the user's mailbox.
    `INVALID_ADDRESS` The e-mail address is invalid.
    `INVALID_DATE_RANGE` The specified date range is invalid.
    `INVALID_FOLDER_ID` The specified folder ID is invalid.
    `INVALID_SIZE_RANGE` The size range is invalid.
    `INVALID_VALUE` The specified value is invalid.
    `MESSAGE_CLASSIFICATION_NOT_FOUND` The message classification was not found.
    `MISSING_ACTION` No action was specified.
    `MISSING_PARAMETER` The required parameter is missing.
    `MISSING_RANGE_VALUE` The range value is missing.
    `NOT_SETTABLE` The property cannot be modified.
    `RECIPIENT_DOES_NOT_EXIST` The recipient does not exist.
    `RULE_NOT_FOUND` The rule was not found.
    `SIZE_LESS_THEN_ZERO` The specified size is less than zero.
    `STRING_VALUE_TOO_BIG` The string value is too big.
    `UNEXPECTED_ERROR` An unexpected error occurred.
    `UNSUPPORTED_ADDRESS` The address is not supported.
    `UNSUPPORTED_RULE` The rule is unsupported.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RuleValidationErrorCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RuleValidationErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AD_OPERATION_FAILURE

          public static final RuleValidationErrorCode AD_OPERATION_FAILURE

      The Active Directory operation failed.

    - #### CONNECTED_ACCOUNT_NOT_FOUND

          public static final RuleValidationErrorCode CONNECTED_ACCOUNT_NOT_FOUND

      The specified e-mail account was not found.

    - #### CREATE_WITH_RULE_ID

          public static final RuleValidationErrorCode CREATE_WITH_RULE_ID

      An attempt was made to create a rule with an ID. The IDs of new rules are generated by the server and are not provided by the client.

    - #### EMPTY_VALUE_FOUND

          public static final RuleValidationErrorCode EMPTY_VALUE_FOUND

      The Value field is empty. An empty Value field is not allowed.

    - #### DUPLICATED_PRIORITY

          public static final RuleValidationErrorCode DUPLICATED_PRIORITY

      There are multiple rules with the same priority. A priority can have only one rule.

    - #### DUPLICATED_OPERATION_ON_THE_SAME_RULE

          public static final RuleValidationErrorCode DUPLICATED_OPERATION_ON_THE_SAME_RULE

      There are multiple operations against the same rule. Only one operation per rule is allowed.

    - #### FOLDER_DOES_NOT_EXIST

          public static final RuleValidationErrorCode FOLDER_DOES_NOT_EXIST

      The folder does not exist in the user's mailbox.

    - #### INVALID_ADDRESS

          public static final RuleValidationErrorCode INVALID_ADDRESS

      The e-mail address is invalid.

    - #### INVALID_DATE_RANGE

          public static final RuleValidationErrorCode INVALID_DATE_RANGE

      The specified date range is invalid.

    - #### INVALID_FOLDER_ID

          public static final RuleValidationErrorCode INVALID_FOLDER_ID

      The specified folder ID is invalid.

    - #### INVALID_SIZE_RANGE

          public static final RuleValidationErrorCode INVALID_SIZE_RANGE

      The size range is invalid.

    - #### INVALID_VALUE

          public static final RuleValidationErrorCode INVALID_VALUE

      The specified value is invalid.

    - #### MESSAGE_CLASSIFICATION_NOT_FOUND

          public static final RuleValidationErrorCode MESSAGE_CLASSIFICATION_NOT_FOUND

      The message classification was not found.

    - #### MISSING_ACTION

          public static final RuleValidationErrorCode MISSING_ACTION

      No action was specified. At least one rule action has to be specified for validation.

    - #### MISSING_PARAMETER

          public static final RuleValidationErrorCode MISSING_PARAMETER

      The required parameter is missing.

    - #### MISSING_RANGE_VALUE

          public static final RuleValidationErrorCode MISSING_RANGE_VALUE

      The range value is missing.

    - #### NOT_SETTABLE

          public static final RuleValidationErrorCode NOT_SETTABLE

      The property cannot be modified.

    - #### RECIPIENT_DOES_NOT_EXIST

          public static final RuleValidationErrorCode RECIPIENT_DOES_NOT_EXIST

      The recipient does not exist.

    - #### RULE_NOT_FOUND

          public static final RuleValidationErrorCode RULE_NOT_FOUND

      The rule was not found. No rules were found that match the criteria.

    - #### SIZE_LESS_THEN_ZERO

          public static final RuleValidationErrorCode SIZE_LESS_THEN_ZERO

      The specified size is less than zero.

    - #### STRING_VALUE_TOO_BIG

          public static final RuleValidationErrorCode STRING_VALUE_TOO_BIG

      The string value is too big.

    - #### UNSUPPORTED_ADDRESS

          public static final RuleValidationErrorCode UNSUPPORTED_ADDRESS

      The address is not supported. For example, Inbox rules do not support MAPIPDL address types.

    - #### UNEXPECTED_ERROR

          public static final RuleValidationErrorCode UNEXPECTED_ERROR

      An unexpected error occurred.

    - #### UNSUPPORTED_RULE

          public static final RuleValidationErrorCode UNSUPPORTED_RULE

      The rule is unsupported.

  - ### Method Detail

    - #### values

          public static RuleValidationErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RuleValidationErrorCode c : RuleValidationErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RuleValidationErrorCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null